"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericErrorCodes = void 0;
var GenericErrorCodes;
(function (GenericErrorCodes) {
    // general codes
    GenericErrorCodes["INTERNAL_SERVER_ERROR"] = "internal_server_error";
    GenericErrorCodes["INVALID_VALUE"] = "invalid_value";
    GenericErrorCodes["INVALID_EMAIL"] = "invalid_email";
    GenericErrorCodes["INVALID_BOOLEAN"] = "invalid_boolean";
    GenericErrorCodes["INVALID_LENGTH"] = "invalid_length";
    GenericErrorCodes["INVALID_NUMBER"] = "invalid_number";
    GenericErrorCodes["INVALID_PASSWORD"] = "invalid_password";
    GenericErrorCodes["INVALID_PHONE"] = "invalid_phone";
    GenericErrorCodes["INVALID_URL"] = "invalid_url";
    GenericErrorCodes["INVALID_IBAN"] = "invalid_iban";
    GenericErrorCodes["INVALID_BIC"] = "invalid_bic";
    GenericErrorCodes["INVALID_DATE"] = "invalid_date";
    GenericErrorCodes["INVALID_POSTAL_CODE"] = "invalid_postal_code";
    GenericErrorCodes["VALUE_TOO_SMALL"] = "value_too_small";
    GenericErrorCodes["VALUE_TOO_BIG"] = "value_too_big";
    GenericErrorCodes["VALUE_REQUIRED"] = "value_required";
})(GenericErrorCodes = exports.GenericErrorCodes || (exports.GenericErrorCodes = {}));
//# sourceMappingURL=error-codes.js.map